%global momorel 1
%global pkg_prefix gnome-shell-extension
%global major_version %%(cut -d "." -f 1-2 <<<%{version})
# Minimum GNOME Shell version supported
%global min_gs_version %%(cut -d "." -f 1-3 <<<%{version})


Name:           gnome-shell-extensions
Version: 	3.24.2
Release: 	%{momorel}m%{?dist}
Summary:        Modify and extend GNOME Shell functionality and behavior

Group:          User Interface/Desktops
# The entire source code is GPLv2+ except lib/convenience.js which is BSD
License:        GPLv2+ and BSD
URL:            http://live.gnome.org/GnomeShell/Extensions
Source0:        https://download.gnome.org/sources/gnome-shell-extensions/3.24/%{name}-%{version}.tar.xz
Nosource: 0
BuildRequires:  desktop-file-utils
# BuildRequires:  gnome-common
BuildRequires:  intltool
BuildRequires:  pkgconfig(gnome-desktop-3.0)
BuildRequires:  pkgconfig(libgtop-2.0)
Requires:       gnome-shell >= %{min_gs_version}
BuildArch:      noarch

%description
GNOME Shell Extensions is a collection of extensions providing additional and
optional functionality to GNOME Shell.

Enabled extensions:
  * alternate-tab
  * apps-menu
  * auto-move-windows
  * drive-menu
  * launch-new-instance
  * native-window-placement
  * places-menu
  * screenshot-window-sizer
#  * systemMonitor
  * user-theme
  * window-list
  * windowsNavigator
  * workspace-indicator


%package -n %{pkg_prefix}-common
Summary:        Files common to GNOME Shell Extensions
Group:          User Interface/Desktops
License:        GPLv2+
Requires:       gnome-shell >= %{min_gs_version}
# Dock extension no longer provided by GNOME Shell extensions >= 3.7.1
Obsoletes:      %{pkg_prefix}-dock < 3.7.1
# Alternative-status-menu extension no longer provided by GNOME Shell extensions >= 3.9.5
Obsoletes:      %{pkg_prefix}-alternative-status-menu < 3.9.5
# Xrandr-indicator extension no longer provided by GNOME Shell extensions >= 3.9.5
Obsoletes:      %{pkg_prefix}-xrandr-indicator < 3.9.90
# Obsolete extensions dropped in favor of schema overrides by upstream
Obsoletes:       %{pkg_prefix}-default-min-max < 3.9.3-1
Obsoletes:       %{pkg_prefix}-static-workspaces < 3.9.3-1

%description -n %{pkg_prefix}-common
GNOME Shell Extensions is a collection of extensions providing additional 
and optional functionality to GNOME Shell. Common files and directories 
needed by extensions are provided here.


%package -n gnome-classic-session
Summary:        GNOME "classic" mode session
Group:          User Interface/Desktops
License:        GPLv2+
Requires:       %{pkg_prefix}-alternate-tab = %{version}-%{release}
Requires:       %{pkg_prefix}-apps-menu = %{version}-%{release}
Requires:       %{pkg_prefix}-launch-new-instance = %{version}-%{release}
Requires:       %{pkg_prefix}-places-menu = %{version}-%{release}
Requires:       %{pkg_prefix}-window-list = %{version}-%{release}
# Obsolete fallback mode components
Obsoletes:      gnome-applets < 1:3.5.92-5
%global gnome_applet_sensors_obsolete_ver 3.0.0-6
Obsoletes:      gnome-applet-sensors < %{gnome_applet_sensors_obsolete_ver}
Obsoletes:      gnome-applet-sensors-devel < %{gnome_applet_sensors_obsolete_ver}
%global gnome_panel_obsolete_ver 3.6.2-7
Obsoletes:      gnome-panel < %{gnome_panel_obsolete_ver}
Obsoletes:      gnome-panel-devel < %{gnome_panel_obsolete_ver}
Obsoletes:      gnome-panel-libs < %{gnome_panel_obsolete_ver}

%description -n gnome-classic-session
This package contains the required components for the GNOME Shell "classic"
mode, which aims to provide a GNOME 2-like user interface.


%package -n %{pkg_prefix}-alternate-tab
Summary:        Classic Alt+Tab behavior for GNOME Shell
Group:          User Interface/Desktops
License:        GPLv2+
Requires:       %{pkg_prefix}-common = %{version}-%{release}

%description -n %{pkg_prefix}-alternate-tab
This GNOME Shell extension changes Alt+Tab to be window-based instead of
app-based.


%package -n %{pkg_prefix}-apps-menu
Summary:        Application menu for GNOME Shell
Group:          User Interface/Desktops
License:        GPLv2+
Requires:       %{pkg_prefix}-common = %{version}-%{release}

%description  -n %{pkg_prefix}-apps-menu
This GNOME Shell extension adds a GNOME 2.x style menu for applications.


%package -n %{pkg_prefix}-auto-move-windows
Summary:        Assign specific workspaces to applications in GNOME Shell
Group:          User Interface/Desktops
License:        GPLv2+
Requires:       %{pkg_prefix}-common = %{version}-%{release}

%description -n %{pkg_prefix}-auto-move-windows
This GNOME Shell extension enables easy workspace management. A specific
workspace can be assigned to each application as soon as it creates a window, in
a manner configurable with a GSettings key.


%package -n %{pkg_prefix}-drive-menu
Summary:        Drive status menu for GNOME Shell
Group:          User Interface/Desktops
License:        GPLv2+
Requires:       %{pkg_prefix}-common = %{version}-%{release}

%description -n %{pkg_prefix}-drive-menu
This GNOME Shell extension provides a panel status menu for accessing and
unmounting removable devices.


%package -n %{pkg_prefix}-launch-new-instance
Summary:        Always launch a new application instance for GNOME Shell
Group:          User Interface/Desktops
License:        GPLv2+
Requires:       %{pkg_prefix}-common = %{version}-%{release}

%description  -n %{pkg_prefix}-launch-new-instance
This GNOME Shell extension modifies the behavior of clicking in the dash and app
launcher to always launch a new application instance.


%package -n %{pkg_prefix}-native-window-placement
Summary:        Native window placement for GNOME Shell
Group:          User Interface/Desktops
License:        GPLv2+
Requires:       %{pkg_prefix}-common = %{version}-%{release}

%description  -n %{pkg_prefix}-native-window-placement
This GNOME Shell extension provides additional configurability for the window
layout in the overview, including a mechanism similar to KDE4.


%package -n %{pkg_prefix}-places-menu
Summary:        Places status menu for GNOME Shell
Group:          User Interface/Desktops
License:        GPLv2+
Requires:       %{pkg_prefix}-common = %{version}-%{release}

%description -n %{pkg_prefix}-places-menu
This GNOME Shell extension add a system status menu for quickly navigating
places in the system.


%package -n %{pkg_prefix}-screenshot-window-sizer
Summary:        Screenshot window sizer for GNOME Shell
Group:          User Interface/Desktops
License:        GPLv2+
Requires:       %{pkg_prefix}-common = %{version}-%{release}

%description -n %{pkg_prefix}-screenshot-window-sizer
This GNOME Shell extension allows to easily resize windows for GNOME Software
screenshots.


#%package -n %{pkg_prefix}-systemMonitor
#Summary:        System Monitor for GNOME Shell
#Group:          User Interface/Desktops
#License:        GPLv2+
#Requires:       %{pkg_prefix}-common = %{version}-%{release}
## should be pulled in by control-center, but in case someone tries for
## a minimalist gnome-shell installation
#Requires:       libgtop2

#%description -n %{pkg_prefix}-systemMonitor
#This GNOME Shell extension is a message tray indicator for CPU and memory usage.


%package -n %{pkg_prefix}-user-theme
Summary:        Support for custom themes in GNOME Shell
Group:          User Interface/Desktops
License:        GPLv2+
Requires:       %{pkg_prefix}-common = %{version}-%{release}

%description -n %{pkg_prefix}-user-theme
This GNOME Shell extension enables loading a GNOME Shell theme from
~/.themes/<name>/gnome-shell/.


%package -n %{pkg_prefix}-window-list
Summary:        Display a window list at the bottom of the screen in GNOME Shell
Group:          User Interface/Desktops
License:        GPLv2+
Requires:       %{pkg_prefix}-common = %{version}-%{release}

%description -n %{pkg_prefix}-window-list
This GNOME Shell extension displays a window list at the bottom of the screen.


%package -n %{pkg_prefix}-windowsNavigator
Summary:        Support for keyboard selection of windows and workspaces in GNOME Shell
Group:          User Interface/Desktops
License:        GPLv2+
Requires:       %{pkg_prefix}-common = %{version}-%{release}

%description -n %{pkg_prefix}-windowsNavigator
This GNOME Shell extension enables keyboard selection of windows and workspaces
in overlay mode, by pressing the Alt and Ctrl key respectively.


%package -n %{pkg_prefix}-workspace-indicator
Summary:        Workspace indicator for GNOME Shell
Group:          User Interface/Desktops
License:        GPLv2+
Requires:       %{pkg_prefix}-common = %{version}-%{release}

%description -n %{pkg_prefix}-workspace-indicator
This GNOME Shell extension add a system status menu for quickly changing
workspaces.


%prep
%setup -q


%build
# In case we build from a Git checkout
[ -x autogen.sh ] && NOCONFIGURE=1 ./autogen.sh 
%configure  --enable-extensions="all"
%make 


%install
%make_install

# Drop useless example extension
rm -r %{buildroot}%{_datadir}/gnome-shell/extensions/example*/
rm %{buildroot}%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.example.gschema.xml

%find_lang %{name}


#%check
#desktop-file-validate %{buildroot}%{_datadir}/xsessions/gnome-classic.desktop


%files -n %{pkg_prefix}-common -f %{name}.lang
%doc COPYING NEWS README
%dir %{_datadir}/gnome-shell/extensions/


%files -n gnome-classic-session
%{_datadir}/xsessions/gnome-classic.desktop
%{_datadir}/gnome-session/sessions/gnome-classic.session
%{_datadir}/gnome-shell/modes/classic.json
%{_datadir}/gnome-shell/theme/*.svg
%{_datadir}/gnome-shell/theme/gnome-classic.css
%{_datadir}/xsessions/gnome-classic.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.classic-overrides.gschema.xml

%files -n %{pkg_prefix}-alternate-tab
%{_datadir}/gnome-shell/extensions/alternate-tab*/


%files -n %{pkg_prefix}-apps-menu
%{_datadir}/gnome-shell/extensions/apps-menu*/


%files -n %{pkg_prefix}-auto-move-windows
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.auto-move-windows.gschema.xml
%{_datadir}/gnome-shell/extensions/auto-move-windows*/

%files -n %{pkg_prefix}-drive-menu
%{_datadir}/gnome-shell/extensions/drive-menu*/


%files -n %{pkg_prefix}-launch-new-instance
%{_datadir}/gnome-shell/extensions/launch-new-instance*/


%files -n %{pkg_prefix}-native-window-placement
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.native-window-placement.gschema.xml
%{_datadir}/gnome-shell/extensions/native-window-placement*/


%files -n %{pkg_prefix}-places-menu
%{_datadir}/gnome-shell/extensions/places-menu*/


%files -n %{pkg_prefix}-screenshot-window-sizer
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.screenshot-window-sizer.gschema.xml
%{_datadir}/gnome-shell/extensions/screenshot-window-sizer*/


#%files -n %{pkg_prefix}-systemMonitor
#%{_datadir}/gnome-shell/extensions/systemMonitor*


%files -n %{pkg_prefix}-user-theme
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.user-theme.gschema.xml
%{_datadir}/gnome-shell/extensions/user-theme*/
%{_datadir}/gnome-shell/theme/*


%files -n %{pkg_prefix}-window-list
%{_datadir}/gnome-shell/extensions/window-list*/
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.window-list.gschema.xml


%files -n %{pkg_prefix}-windowsNavigator
%{_datadir}/gnome-shell/extensions/windowsNavigator*


%files -n %{pkg_prefix}-workspace-indicator
%{_datadir}/gnome-shell/extensions/workspace-indicator*


%postun -n gnome-classic-session
if [ $1 -eq 0 ]; then
  /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas/ &>/dev/null || :
fi

%posttrans -n gnome-classic-session
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas/ &>/dev/null || :


%postun -n %{pkg_prefix}-auto-move-windows
if [ $1 -eq 0 ]; then
  /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas/ &>/dev/null || :
fi

%posttrans -n %{pkg_prefix}-auto-move-windows
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas/ &>/dev/null || :


%postun -n %{pkg_prefix}-native-window-placement
if [ $1 -eq 0 ]; then
  /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas/ &>/dev/null || :
fi

%posttrans -n %{pkg_prefix}-native-window-placement
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas/ &>/dev/null || :


%postun -n %{pkg_prefix}-user-theme
if [ $1 -eq 0 ]; then
  /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas/ &>/dev/null || :
fi

%posttrans -n %{pkg_prefix}-user-theme
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas/ &>/dev/null || :


%postun -n %{pkg_prefix}-window-list
if [ $1 -eq 0 ]; then
  /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas/ &>/dev/null || :
fi

%posttrans -n %{pkg_prefix}-window-list
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas/ &>/dev/null || :


%changelog
* Sun May 28 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (3.24.2-1m)
- update to 3.24.2

* Wed Mar 22 2017 Masanobu Sato <satoshiga@momonga-linux.org>
- (3.23.92-1m)
- update to 3.23.92

* Sun Dec 21 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.14.3-1m)
- update to 3.14.3

* Sun Nov 16 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.14.2-1m)
- update to 3.14.2
- correct spec for a typo for obsoleted gnome-shell-extension-xrandr-indicator

* Sun Oct 19 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.14.1-1m)
- update to 3.14.1

* Tue Sep 30 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.14.0-1m)
- update to 3.14.0

* Tue Dec 18 2012 SANUKI Masaru <sanuki@momonga-linux.org>
- (3.6.2-1m)
- update to 3.6.2

* Fri Oct 19 2012 Masanobu Sato <satoshiga@momonga-linux.org>
- (3.6.0-2m)
- rebuild against gnome-shell 3.6.0

* Wed Oct  3 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.6.0-1m)
- update to 3.6.0

* Thu Sep  6 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.5.91-1m)
- update to 3.5.91

* Thu Aug 30 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.5.90-1m)
- update to 3.5.90

* Sat Aug 11 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.5.5-1m)
- update to 3.5.5

* Sun Jul 22 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.5.4-1m)
- reimport from fedora
- update to 3.5.4

* Thu Jun 28 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.2.3-3m)
- rebuild for glib 2.33.2

* Mon Jan 16 2012 SANUKI Masaru <sanuki@momonga-linux.org>
- (3.2.3-2m)
- add patch2 - disable autohide

* Thu Dec 22 2011 SANUKI Masaru <sanuki@momonga-linux.org>
- (3.2.3-1m)
- update to 3.2.3
- Fix alternative-status-menu extension crash when login
- Remove workaround to fix alternative-status-menu extension crash when login
- Re-enable all references to localedir in metadata.json files (reverted from commit c4b4092)
- Re-enable GSettings settings removed since 3.2.3 release

* Fri Oct 21 2011 SANUKI Masaru <sanuki@momonga-linux.org>
- (3.2.0-4m)
- make gnome-shell-extensions work with gnome-shell-3.2.1

* Fri Oct 14 2011 SANUKI Masaru <sanuki@momonga-linux.org>
- (3.2.0-3m)
- add patch0:dock: make dock extension work with gnome-3.2
- add patch1:dock: Fix popup menus

* Tue Oct 11 2011 SANUKI Masaru <sanuki@momonga-linux.org>
- (3.2.0-2m)
- correct require package name

* Tue Oct  4 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.2.0-1m)
- update to 3.2.0

* Mon Sep 19 2011 SANUKI Masaru <sanuki@momonga-linux.org>
- (3.1.91-1m)
- Update to 3.1.91
- Rename subpackages in line with new guidelines (# 715367)
- Enable systemMonitor extension
- Enable apps-menu and places-menu extension
- Enable drive-menu extension
- Enable  xrandr-indicator and workspace-indicator extension

* Thu Aug 11 2011 SANUKI Masaru <sanuki@momonga-linux.org>
- (3.0.2-1m)
- initial build
